### Method

# EDataBook BookBackend prepare_for_completion

since: 3.10

#### Declaration [src]

    GTask*
    e_book_backend_prepare_for_completion (
      EBookBackend* backend,
      guint32 opid
    )

#### Description [src]

Obtains the `GTask` for `opid`.

This is a temporary function to serve `EDataBook`‘s “respond” functions until they can be removed. Nothing else should be calling this function. .

Available since: 3.10

#### Parameters

`opid`

  Type: `guint32`

  An operation ID given to `EDataBook`.

#### Return value

Type: `GTask`

A `GTask`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.